## ros-one-moveit-task-constructor-msgs 0.1.4-0jammy.20251015.2050

=== debian/changelog ===
ros-one-moveit-task-constructor-msgs (0.1.4-0jammy.20251015.2050) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 20:50:09 +0000

ros-one-moveit-task-constructor-msgs (0.1.4-0jammy) jammy; urgency=high

  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * Add property trajectory_execution_info (#355 <https://github.com/moveit/moveit_task_constructor/issues/355>, #502 <https://github.com/moveit/moveit_task_constructor/issues/502>)
  * Contributors: Robert Haschke, Luca Lach

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.3-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.2-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.1-0jammy) jammy; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.0-0jammy) jammy; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

## ros-one-moveit-task-constructor-msgs 0.1.4-0noble.20251015.2054

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)
project(moveit_task_constructor_msgs)

set(MSG_DEPS moveit_msgs visualization_msgs)

find_package(catkin REQUIRED COMPONENTS
	message_generation
	${MSG_DEPS}
)

# ROS messages, services and actions
add_message_files(DIRECTORY msg FILES
	Property.msg
	Solution.msg
	SolutionInfo.msg
	StageDescription.msg
	StageStatistics.msg
	SubSolution.msg
	SubTrajectory.msg
	TaskDescription.msg
	TaskStatistics.msg
	TrajectoryExecutionInfo.msg
)

add_service_files(DIRECTORY srv FILES
	GetSolution.srv
)

add_action_files(DIRECTORY action FILES
	ExecuteTaskSolution.action
)

generate_messages(DEPENDENCIES ${MSG_DEPS})

catkin_package(
	CATKIN_DEPENDS
		message_runtime
		${MSG_DEPS}
)

=== debian/changelog ===
ros-one-moveit-task-constructor-msgs (0.1.4-0noble.20251015.2054) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 20:54:31 +0000

ros-one-moveit-task-constructor-msgs (0.1.4-0noble) noble; urgency=high

  * Increase minimum required CMake version to 3.16 supported by Ubuntu 20.04
  * Add property trajectory_execution_info (#355 <https://github.com/moveit/moveit_task_constructor/issues/355>, #502 <https://github.com/moveit/moveit_task_constructor/issues/502>)
  * Contributors: Robert Haschke, Luca Lach

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Oct 2025 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.3-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Mon, 06 Mar 2023 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.2-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Fri, 24 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.1-0noble) noble; urgency=high



 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Wed, 15 Feb 2023 00:00:00 -0000

ros-one-moveit-task-constructor-msgs (0.1.0-0noble) noble; urgency=high

  * Initial release
  * Contributors: Michael Görner, Robert Haschke

 -- Robert Haschke <rhaschke@techfak.uni-bielefeld.de>  Thu, 02 Feb 2023 00:00:00 -0000

=== debian/control ===
Source: ros-one-moveit-task-constructor-msgs
Section: misc
Priority: optional
Maintainer: Robert Haschke <rhaschke@techfak.uni-bielefeld.de>
Build-Depends: debhelper (>= 9.0.0), ros-one-catkin, ros-one-message-generation, ros-one-moveit-msgs, ros-one-visualization-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-moveit-task-constructor-msgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-message-generation, ros-one-message-runtime, ros-one-moveit-msgs, ros-one-visualization-msgs
Description: Messages for MoveIt Task Pipeline

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-moveit-task-constructor-msgs//opt/ros/one/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install
